View a markdown version of this page

CreateBrandProfileAttributes - AWS End User Messaging

CreateBrandProfileAttributes

Creates up to 10 attributes for a brand profile in a single request. For attributes of type IMAGE or DOCUMENT, the response includes a presigned Amazon S3 URL that you use to upload the media. This operation is atomic: either all of the attributes are created, or none of them are.

Request Syntax

POST /v1/brand-profiles/brandProfileId/attributes HTTP/1.1 Content-type: application/json { "attributes": [ { "attachmentBody": blob, "attributeName": "string", "attributeType": "string", "attributeValue": "string", "category": "string", "description": "string" } ], "clientToken": "string" }

URI Request Parameters

The request uses the following URI parameters.

brandProfileId

The unique identifier of the brand profile. You can specify either the bare ID or the full Amazon Resource Name (ARN).

Length Constraints: Minimum length of 1. Maximum length of 256.

Pattern: [A-Za-z0-9_:/-]+

Required: Yes

Request Body

The request accepts the following data in JSON format.

attributes

The brand profile attributes.

Type: Array of BrandProfileAttributeInput objects

Array Members: Minimum number of 1 item. Maximum number of 10 items.

Required: Yes

clientToken

A unique, case-sensitive identifier that you provide to ensure the idempotency of the request. If you do not specify a client token, the AWS SDK automatically generates one.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\x21-\x7E]+

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "attributes": [ { "attributeName": "string", "attributeType": "string", "mediaDownloadUrl": "string" } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

attributes

The brand profile attributes.

Type: Array of BrandProfileAttributeOutput objects

Array Members: Minimum number of 1 item. Maximum number of 10 items.

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

The request conflicts with the current state of the resource.

resourceId

The identifier of the resource that the request conflicts with.

resourceType

The type of the resource that the request conflicts with.

HTTP Status Code: 409

InternalServerException

An unexpected error occurred during the processing of the request.

HTTP Status Code: 500

ResourceNotFoundException

The request references a resource that does not exist. Verify that the resource identifier is correct and try your request again.

resourceId

The identifier of the resource that could not be found.

resourceType

The type of the resource that could not be found.

HTTP Status Code: 404

ServiceQuotaExceededException

The request would exceed a service quota for your account.

HTTP Status Code: 400

ThrottlingException

The request was denied because it exceeded the allowed request rate.

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service. Check your request parameters and retry the request.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: